<< Back to man.ChinaUnix.net

5.14. Coreutils-5.2.1

Coreutils 软件包包括一整套用于显示和设置基本系统特征的工具。

预计编译时间: 0.9 SBU
所需磁盘空间: 53.3 MB
安装依赖于: Bash, Binutils, Coreutils, Diffutils, GCC, Gettext, Glibc, Grep, Make, Perl, Sed

5.14.1. 安装 Coreutils

准备编译 Coreutils :

DEFAULT_POSIX2_VERSION=199209 ./configure --prefix=/tools

当 Glibc 版本高于 2.3.2 时编译这个软件包可能会出现问题,一些 Coreutils 工具(例如 head, tail, sort)会拒绝传统语法,这些语法近三十年来一直在使用。这些老式语法使用的太普遍了,以至于不得不继续保持对它们的兼容性,直到用到这些语法的地方都被更新为止。在上面的命令里将 DEFAULT_POSIX2_VERSION 环境变量设置为"199209"来获得向后兼容。如果您不希望 Coreutils 向后兼容传统语法,可以省略设置 DEFAULT_POSIX2_VERSION 环境变量。但是要知道,这样做需要一些其它后续工作,包括要为许多仍在使用老式语法的软件包打补丁,因此,我们推荐您完整的输入上面给出的命令。

编译软件包:

make

要测试结果,请运行 make RUN_EXPENSIVE_TESTS=yes checkRUN_EXPENSIVE_TESTS=yes 参数让测试程序运行几个附加的测试,在某些平台上这些测试会耗费更多的 CPU 和内存,不过一般在 Linux 上不是什么问题。

安装软件包:

make install

关于这个软件包的详细资料位于 Section 6.15.2, "Contents of Coreutils."